Bug 13022 - RSS filter by date issue
Summary: RSS filter by date issue
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: feed://www.lefigaro.fr/rss/figaro_une...
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2007-03-09 03:27 PST by joel Mendel
Modified: 2008-08-18 10:54 PDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description joel Mendel 2007-03-09 03:27:03 PST
When go at 
feed://www.lefigaro.fr/rss/figaro_une.xml
Select "By Date" and "Today"
There is a other dates in the page.
Comment 1 Alexey Proskuryakov 2007-03-09 09:53:25 PST
I'm only seeing one article that is not from today - but that's because the site sends a "Sat, 22 Dec 2007 15:25:00 +0200" date for it. Attributing future dates to today may be seen as a minor bug or a feature, but it's not in open source WebKit anyway, so it should be reported via <http://bugreport.apple.com>.

Reporter, please clarify if this was the issue that you were reporting, or there are more problems.
Comment 2 joel Mendel 2007-03-09 13:59:38 PST
Personnaly i have 3 articles.
Yes you see the problem what i report.
I report it to http://bugreport.apple.com/
Thanks
Comment 3 David Kilzer (:ddkilzer) 2007-03-09 15:47:16 PST
(In reply to comment #2)
> I report it to http://bugreport.apple.com/

Hi Joel!  Please report the "Radar" bug number here after you file it, and add the "InRadar" keyword to this bug.  Thanks!

Comment 4 Gavin Sherlock 2008-08-18 10:27:39 PDT
Not sure if this is the same bug or not, but am adding here for now.

Go to:

feed:https://bugs.webkit.org/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=&product=WebKit&long_desc_type=substring&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&keywords_type=allwords&keywords=&emailassigned_to1=1&emailtype1=substring&email1=&emailassigned_to2=1&emailreporter2=1&emailcc2=1&emailtype2=substring&email2=&bugidtype=include&bug_id=&votes=&chfieldfrom=-1&chfieldto=Now&chfieldvalue=&field0-0-0=noop&type0-0-0=noop&value0-0-0=&query_based_on=&query_based_on=&&ctype=rss

(which is the RSS feed for webkit bugzilla).  There should be a number of bugs when you select to see "All recent articles".  However, applying any other date filter says that there are no articles in that date range, when clearly those that are shown when all are viewed fall within the selected date range.
Comment 5 David Kilzer (:ddkilzer) 2008-08-18 10:52:35 PDT
I don't see any issues with the original feed <feed://www.lefigaro.fr/rss/figaro_une.xml>, but the feed in Comment #4 does have issues when you filter by today's date.
Comment 6 David Kilzer (:ddkilzer) 2008-08-18 10:52:58 PDT
<rdar://problem/6156226>
Comment 7 David Kilzer (:ddkilzer) 2008-08-18 10:54:01 PDT
Marking this as RESOLVED/INVALID now that it's in Radar.  This bug is in the Safari application, so it can't be fixed in WebKit itself.
Comment 8 David Kilzer (:ddkilzer) 2008-08-18 10:54:21 PDT
(In reply to comment #3)
> (In reply to comment #2)
> > I report it to http://bugreport.apple.com/
> 
> Hi Joel!  Please report the "Radar" bug number here after you file it, and add
> the "InRadar" keyword to this bug.  Thanks!

BTW, I never could find this radar.